Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.joinpoint.impl
Class StaticInitializerSignatureImpl

    java.lang.Object
      org.codehaus.aspectwerkz.joinpoint.impl.StaticInitializerSignatureImpl

All Implemented Interfaces:
  Serializable, Signature

    public class StaticInitializerSignatureImpl

extends Object
implements Signature

The class static initializer signature

Author:
  Alexandre Vasseur
See Also:
  Serialized Form

Constructor Summary
`StaticInitializerSignatureImpl(Class declaringType)`

Method Summary
`Class` | `getDeclaringType()` Returns the declaring class.
`int` | `getModifiers()` Returns the modifiers for the signature.
`String` | `getName()` Returns the name (f.e. name of method of field).
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaticInitializerSignatureImpl

    public StaticInitializerSignatureImpl(Class declaringType)

Method Detail

### getDeclaringType

    public Class getDeclaringType()

  Description copied from interface: `Signature`
  Returns the declaring class.

  Specified by:
    `getDeclaringType` in interface `Signature`
  Returns:
    the declaring class

### getModifiers

    public int getModifiers()

  Description copied from interface: `Signature`
  Returns the modifiers for the signature.

  Could be used like this:

       boolean isPublic = java.lang.reflect.Modifier.isPublic(signature.getModifiers());

  Specified by:
    `getModifiers` in interface `Signature`
  Returns:
    the mofifiers

### getName

    public String getName()

  Description copied from interface: `Signature`
  Returns the name (f.e. name of method of field).

  Specified by:
    `getName` in interface `Signature`
  Returns:

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.